;create frames of truck and mine shifted 0,1,2,...,7 pixels

;------------------
;frames for truck
TruckFrames
	LD DE,35000					;start of truck frames
	LD C,8						;nr of frames

TruckFrames2
;copy frame to new position	
	LD B,64						;nr of bytes
	LD HL,Truck
TruckFrames3
	LD A,(HL)
	LD (DE),A
	INC HL
	INC DE						;next byte in shifted truck frame
	DJNZ TruckFrames3

;shift truck picture by one pixel
	LD HL,Truck
	LD B,16						;nr of pixel lines
TruckFrames4
	OR A						;carry=0
	RR (HL)						;4 bytes
	INC HL
	RR (HL)
	INC HL
	RR (HL)
	INC HL
	RR (HL)
	INC HL
	DJNZ TruckFrames4
	
	DEC C						;do 8 frames
	JR NZ,TruckFrames2
;--------------------

;frames for mine
MineFrames
;DE=36512 (36000+8*64)
	LD C,8
MineFrames2
;copy frame to new position	
	LD B,6						;nr of bytes
	LD HL,Mine
MineFrames3
	LD A,(HL)
	LD (DE),A
	INC HL
	INC DE						;next byte in shifted mine frame
	DJNZ MineFrames3

;shift mine picture by one pixel
	LD HL,Mine
	LD B,3						;nr of pixel lines
MineFrames4
	OR A						;carry=0
	RR (HL)						;4 bytes
	INC HL
	RR (HL)
	INC HL
	DJNZ MineFrames4
	
	DEC C						;do 8 frames
	JR NZ,MineFrames2



	;no RET as it is part of code